Subject: Low fat salad dressings

From: [email-masked] (George C Zogbi)
Date: 4 Mar 94 18:58:23 GMT

Does anyone have any good recipes for vegan low/no fat salad dressings?
Most of the ones I have tried are pretty bland and watery...
Thanks!

                                                       George